> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enrollments

> **Beta:** This endpoint is in beta and may change.
Read enrollments by Finch ID. A maximum of 50 enrollments can be requested at once.




## OpenAPI

````yaml post /employer/plans-enrollments
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Benefits
  - name: Management
  - name: Sandbox
paths:
  /employer/plans-enrollments:
    post:
      tags:
        - Benefits
      summary: Get Enrollments
      description: >
        **Beta:** This endpoint is in beta and may change.

        Read enrollments by Finch ID. A maximum of 50 enrollments can be
        requested at once.
      operationId: get-plan-enrollments
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: >-
            The entity IDs to specify which entities' data to access. Provide
            exactly one entity ID per request; a maximum of one is accepted.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
        - $ref: '#/components/parameters/Content-Type'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requests:
                  type: array
                  maxItems: 50
                  items:
                    type: object
                    properties:
                      enrollment_id:
                        type: string
                        description: The Finch ID of the enrollment to read.
                    required:
                      - enrollment_id
              required:
                - requests
            examples:
              Request:
                value:
                  requests:
                    - enrollment_id: ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55
      responses:
        '200':
          description: Enrollment data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEnrollmentsResponse'
              examples:
                Success:
                  value:
                    responses:
                      - enrollment_id: ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55
                        code: 200
                        body:
                          id: ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55
                          individual_id: 5d0b10a1-a09a-430f-81f1-20be735dc5e9
                          plan_id: 3f0b5a2b-2b4a-4f4c-9f3e-5c4a2c1d9b70
                          coverage_tier: employee_family
                          coverage_start_date: '2026-01-01'
                          coverage_end_date: null
                          contributions:
                            frequency: per_pay_period
                            employee_contribution:
                              amount: 12500
                              currency: usd
                            employer_contribution:
                              amount: 37500
                              currency: usd
                          dependent_ids:
                            - a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21
                          status: active
                BatchError:
                  value:
                    responses:
                      - enrollment_id: ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55
                        code: 404
                        body:
                          code: 404
                          name: not_found_error
                          finch_code: enrollment_not_found
                          message: >-
                            No enrollment with id
                            'ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55'
        '202':
          description: >-
            The request has been accepted for processing, but data is not yet
            available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptedResponse'
              examples:
                DataSyncInProgress:
                  value:
                    code: 202
                    name: sync_in_progress
                    finch_code: data_sync_in_progress
                    message: >-
                      The data being requested is being fetched. Please check
                      back later.
                AuthorizationPending:
                  value:
                    code: 202
                    name: authorization_pending
                    finch_code: pending
                    message: Authorization to this company's data is pending
        '400':
          description: The request could not be processed due to a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                  message:
                    type: string
                  finch_code:
                    type: string
                required:
                  - code
                  - name
                  - message
              examples:
                InvalidQueryParameter:
                  value:
                    code: 400
                    name: bad_request
                    finch_code: invalid_request
                    message: 'Validation error: Expected number, received nan at "limit"'
      security:
        - bearerAuth: []
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        default: application/json
      description: 'Used to indicate the original media type of the resource '
  schemas:
    GetEnrollmentsResponse:
      type: object
      properties:
        responses:
          type: array
          items:
            type: object
            properties:
              enrollment_id:
                type: string
                description: The Finch ID of the enrollment.
              code:
                type: integer
                description: The HTTP status code of the response for this enrollment.
              body:
                anyOf:
                  - $ref: '#/components/schemas/EnrollmentResponse'
                  - $ref: '#/components/schemas/BatchError'
            required:
              - enrollment_id
              - code
              - body
          description: The batch response array.
      required:
        - responses
    AcceptedResponse:
      type: object
      properties:
        code:
          type: number
          default: 202
        name:
          type: string
        finch_code:
          type: string
        message:
          type: string
      required:
        - name
        - finch_code
        - message
    EnrollmentResponse:
      type: object
      properties:
        id:
          type: string
          description: A stable Finch ID for the enrollment.
        individual_id:
          type: string
          description: The Finch ID of the individual enrolled in the plan.
        plan_id:
          type: string
          description: The Finch ID of the benefit plan.
        coverage_tier:
          $ref: '#/components/schemas/EnrollmentCoverageTier'
        coverage_start_date:
          type: string
          nullable: true
          description: The start date of coverage in ISO 8601 format (YYYY-MM-DD).
        coverage_end_date:
          type: string
          nullable: true
          description: The end date of coverage in ISO 8601 format (YYYY-MM-DD).
        contributions:
          $ref: '#/components/schemas/EnrollmentContributions'
        dependent_ids:
          type: array
          nullable: true
          items:
            type: string
          description: The Finch IDs of dependents covered under this enrollment.
        status:
          $ref: '#/components/schemas/EnrollmentStatus'
      required:
        - id
        - individual_id
        - plan_id
        - coverage_tier
        - coverage_start_date
        - coverage_end_date
        - contributions
        - dependent_ids
        - status
    BatchError:
      type: object
      properties:
        code:
          type: number
        finch_code:
          type: string
        message:
          type: string
        name:
          type: string
      required:
        - code
        - message
        - name
    EnrollmentCoverageTier:
      type: string
      nullable: true
      description: >-
        The coverage tier of the enrollment. Known values: `employee_only`,
        `employee_spouse`, `employee_children`, `employee_family`.
        Provider-specific values outside this list may also be returned.
    EnrollmentContributions:
      type: object
      nullable: true
      properties:
        frequency:
          $ref: '#/components/schemas/ContributionFrequency'
        employee_contribution:
          $ref: '#/components/schemas/ContributionAmount'
        employer_contribution:
          allOf:
            - $ref: '#/components/schemas/ContributionAmount'
            - description: The employer's contribution amount.
      required:
        - frequency
        - employee_contribution
        - employer_contribution
      description: The contribution details for the enrollment.
    EnrollmentStatus:
      type: string
      nullable: true
      description: >-
        The status of the enrollment. Known values: `active`, `inactive`.
        Provider-specific values outside this list may also be returned.
    ContributionFrequency:
      type: string
      description: >-
        The frequency of the contribution. Known values: `per_pay_period`,
        `weekly`, `bi_weekly`, `semi_monthly`, `monthly`, `quarterly`,
        `annually`. Provider-specific values outside this list may also be
        returned.
    ContributionAmount:
      type: object
      nullable: true
      properties:
        amount:
          type: number
          nullable: true
          description: The contribution amount in cents.
        currency:
          type: string
          nullable: true
          description: The currency of the contribution amount (e.g. usd).
      required:
        - amount
        - currency
      description: The employee's contribution amount.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````